<?php
 
 //ini_set("display_errors",1);
session_start();
require_once ("../../config/Cado.php");
require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once("../stock/cStock.php");
$oStock = new cStock();
require_once("../kardex/cKardex.php");
$oKardex = new cKardex();
require_once ("cInventarioinicial.php");
$oInventarioinicial = new cInventarioinicial();
require_once("../producto/cProductomarca.php");
$oProductomarca = new cProductomarca();
require_once("../formatos/formato.php");

if($_POST['action']=="guardar_stock_cantidad")
{

if($_POST['ban']==1){
	
	$oProductomarca->modificar_campo2($_POST['cat_id'],$_POST['mar_id'],'prevenf',moneda_mysql($_POST['prevenf']));
	$oProductomarca->modificar_campo2($_POST['cat_id'],$_POST['mar_id'],'preven',moneda_mysql($_POST['preven']));
	$oProductomarca->modificar_campo2($_POST['cat_id'],$_POST['mar_id'],'fecven',fecha_mysql($_POST['fecven']));
	
	$data['inv_msj']="Datos actualizados";
	echo json_encode($data);
	
}else if ($_POST['ban']==2){

	$oProductomarca->modificar_campo2($_POST['cat_id'],$_POST['mar_id'],'prevenf',moneda_mysql($_POST['prevenf']));
	$oProductomarca->modificar_campo2($_POST['cat_id'],$_POST['mar_id'],'preven',moneda_mysql($_POST['preven']));
	$oProductomarca->modificar_campo2($_POST['cat_id'],$_POST['mar_id'],'fecven',fecha_mysql($_POST['fecven']));

	$dts=$oCatalogo->mostrarUno($_POST['cat_id'],$_POST['mar_id']);
	$dt = mysqli_fetch_array($dts);
	$emp_fac = $dt['tb_empaque_fac'];
	mysqli_free_result($dts);
	
	$stock = strtoupper($_POST['stock']);
	//echo $stock.'|';
	
	$posmenos = strpos($stock, '-');	
	if($posmenos===false){
		$signo = '0';
	}else{
		$ban = 1;
		$kar_tipo=2;
		$mod_id = 1;
		list($signo,$numero) = explode('-',$stock);
		
		$cane = 0;
		$canf = 0;
		list($cane,$canf) = explode('F',$numero);
		$can2 = 0;
		if($cane>0){
			$can2 = $cane*$emp_fac;
		}
		$can = $can2 + $canf;
		
		//echo $can;
	}
	
	$posmas = strpos($stock, '+');	
	if($posmas===false){
		$signo = '0';
	}else{
		$ban = 1;
		$kar_tipo=1;
		$mod_id = 1;
		list($signo,$numero) = explode('+',$stock);
		
		$cane = 0;
		$canf = 0;
		list($cane,$canf) = explode('F',$numero);
		$can2 = 0;
		if($cane>0){
			$can2 = $cane*$emp_fac;
		}
		$can = $can2 + $canf;
		
		//echo $can;
	}
	
	//echo $can;
	
	if($ban == 1){
	
		$kar_des='INVENTARIO';
		$idm=$_POST['cat_id'];
		
		
		$oKardex->insertar(			
			fecha_mysql(date('d-m-Y')),
			$kar_des,
			$mod_id,
			$idm,
			$_SESSION['usuario_id'],
			$_SESSION['empresa_id'],
			'0'
		);
		
	
		$dts=$oKardex->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
			$kar_id=$dt['id'];
		mysqli_free_result($dts);
	
		$oKardex->insertar_detalle(
			$_POST['cat_id'],
			$_POST['mar_id'],
			$kar_tipo,
			$can,
			moneda_mysql($_POST['costo']),
			moneda_mysql($_POST['costo']),
			$kar_id,
			$_POST['alm_id']
		);	
		
		$dts2=$oStock->stock_por_presentacion($_POST['cat_id'],$_POST['mar_id'],$_POST['alm_id']);
		$numrowsstock = mysqli_num_rows($dts2);
		
		$dt2 = mysqli_fetch_array($dts2);
		$sto_id		=$dt2['tb_stock_id'];
		$sto_num	=$dt2['tb_stock_num'];
		mysqli_free_result($dts2);
		
		
	if($numrowsstock>0)
	{
		if($kar_tipo==1){
			$stock_nuevo=$sto_num+$can;
		}else if($kar_tipo==2){
			$stock_nuevo=$sto_num-$can;
		}
			
		$oStock->modificar($sto_id,$stock_nuevo);
	}
	else
	{
		$oStock->insertar($_POST['alm_id'],$_POST['cat_id'],$_POST['mar_id'],$can);
	}
	
		$data['inv_msj']="Stock modificado";
	}
	else{
		$data['inv_msj']="Ingrese stock con + u -";
	}
	echo json_encode($data);
}
	
}
?>